- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestCase_< FixtureT > Class Template Reference

TestCase_ is a class template for a leaf TestCase, which allows TestFixture classes to be easily collected into the tree of tests, and have their public test methods called. More...

Inheritance diagram for osgUtx::TestCase_< FixtureT >:

[legend]
List of all members.

## Public Member Functions
| TestCase_ (const std::string &sName, TestMethodPtr pTestMethod)
virtual void | run (const Context &ctx)
## Protected Member Functions
virtual | ~TestCase_ ()
## Protected Attributes
TestMethodPtr | _pTestMethod

## Detailed Description

### template<typename FixtureT>
class osgUtx::TestCase_< FixtureT >

TestCase_ is a class template for a leaf TestCase, which allows TestFixture classes to be easily collected into the tree of tests, and have their public test methods called.

It is worth noting that, for a given TestCase_, an instance of the test fixture class will be constructed prior to the test method being called, and destructed afterwards. This prevents 'leakage' of information from one test case to the next.

## Constructor & Destructor Documentation

template<typename FixtureT>
osgUtx::TestCase_< FixtureT >::TestCase_ | ( | const std::string & | sName,
|  | TestMethodPtr | pTestMethod
| ) | `[inline]`

template<typename FixtureT>
virtual osgUtx::TestCase_< FixtureT >::~TestCase_ | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<typename FixtureT>
virtual void osgUtx::TestCase_< FixtureT >::run | ( | const Context & | ctx | ) | `[inline, virtual]`

## Member Data Documentation

template<typename FixtureT>
TestMethodPtr osgUtx::TestCase_< FixtureT >::_pTestMethod`[protected]`

The documentation for this class was generated from the following file:

- UnitTestFramework